Subject: Re: LLDP-MED and Phone BCP (Re: [Ecrit] New phonebcpdraft wassubmitted)

From: [email-masked]
Date: Wed, 12 Jul 2006 12:50:17 -0400

Hi Henning,

YES, ordering of which method to use is an excellent point!  I would 
encourage using whichever method is supplied, selecting one only, in order 
of most reliable first. 

-- Peter

Henning Schulzrinne <[email-masked]>
12.07.06 10:35

        To:     Ted Hardie <[email-masked]>
        cc:     "Rosen, Brian" <[email-masked]>, Stastny Richard 
<[email-masked]>, [email-masked]
        Subject:        Re: LLDP-MED and Phone BCP (Re: [Ecrit] New phonebcpdraft wassubmitted)

One of Brian's favorite topics and a limitation of L7 protocols: 
VPNs. In those cases, you are unlikely to get to the right L7 server 
or get it the right IP address. In those cases, lower-layer 
solutions, such as LLDP-MED and DHCP are likely to be more reliable.

Thus, I think as important as picking a list, is to also suggest the 
sequence of things to try and whether to keep trying if you got an 
answer (which may be wrong). In other words, if you got a location 
via DHCP, should you also ask via L7?

On Jul 12, 2006, at 10:25 AM, Ted Hardie wrote:

> At 4:09 PM +0200 7/12/06, Stastny Richard wrote:
>>> You need a list, where one end implements ALL and the other end 
>>> implements "at least one of" to get interoperability.  There is 
>>> no >other way.
>>
>> Fully agree. A device needs to implement ALL possible mechanisms, 
>> there is no other way, since you never know where a
>> device is attached to. Period
>>
>> Richard
>>
>
> My agreement with this depends a lot on what "possible" means.  If 
> someone defines a pppoe mechanisms, implementing it in a phone that 
> doesn't support ethernet or pppoe is  not useful.  If you define 
> that as "not a possible mechanism for that phone", then we're 
> probably okay.  But that sounds to me closer to what Barbara is 
> saying than what Brian has said.
>
> I also believe we need to see the text Brian mentioned in the room 
> yesterday for self-configuration.  For some devices, self- 
> configuration will be more accurate than the network-provided 
> location received by many of these methods.  But putting that into 
> the list of mechanisms has some pretty interesting results.
>
> Last, the l7 question has two issues.  First, if you have IP 
> connectivity, will you be able to
> reach an l7 server?  The answer to that had better be yes, since 
> reaching one and reaching a sip service have pretty similar 
> properties.   The other question is: will the l7 server be able to 
> identify 1) you and 2) where you.  I take it that Brian's primary 
> concern is that it  will not be possible to identify a client to 
> the l7 server in ways  that will work reliably in all 
> environments.  Until we get a little deeper I can't say, but I do 
> have to question whether the effort to get to that point (so that 
> there is single fallback mechanism) is really worse than every 
> client implementing everything, where everything is a potentially 
> growing list.
>
>                                                                Ted
>
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ecrit

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit